From 1ab19cdc053424ba512412894e0b96bd8d2689f6 Mon Sep 17 00:00:00 2001
From: Bharath Rupireddy <bharath.rupireddyforpostgres@gmail.com>
Date: Mon, 18 Dec 2023 05:55:56 +0000
Subject: [PATCH v2] Fix a comment in basic_archive about NO_INSTALLCHECK

---
 contrib/basic_archive/Makefile    | 6 ++++--
 contrib/basic_archive/meson.build | 5 +++--
 2 files changed, 7 insertions(+), 4 deletions(-)

diff --git a/contrib/basic_archive/Makefile b/contrib/basic_archive/Makefile
index 55d299d650..450144de2a 100644
--- a/contrib/basic_archive/Makefile
+++ b/contrib/basic_archive/Makefile
@@ -5,8 +5,10 @@ PGFILEDESC = "basic_archive - basic archive module"
 
 REGRESS = basic_archive
 REGRESS_OPTS = --temp-config $(top_srcdir)/contrib/basic_archive/basic_archive.conf
-# Disabled because these tests require "shared_preload_libraries=basic_archive",
-# which typical installcheck users do not have (e.g. buildfarm clients).
+
+# Disabled because these tests require special configuration e.g. archive
+# related parameters to be enabled, which typical installcheck users do not
+# have # (e.g. buildfarm clients).
 NO_INSTALLCHECK = 1
 
 ifdef USE_PGXS
diff --git a/contrib/basic_archive/meson.build b/contrib/basic_archive/meson.build
index bc1380e6f6..012f44e10e 100644
--- a/contrib/basic_archive/meson.build
+++ b/contrib/basic_archive/meson.build
@@ -27,8 +27,9 @@ tests += {
     'regress_args': [
       '--temp-config', files('basic_archive.conf'),
     ],
-    # Disabled because these tests require "shared_preload_libraries=basic_archive",
-    # which typical runningcheck users do not have (e.g. buildfarm clients).
+    # Disabled because these tests require special configuration e.g. archive
+    # related parameters to be enabled, which typical runningcheck users do not
+    # have # (e.g. buildfarm clients).
     'runningcheck': false,
   },
 }
-- 
2.34.1

